Description

When trying to use the API to create hostgroups, POST /api/hostgroups does not accept a hostgroup[ancestry] as a parameter. This

means a user cannot create nested hostgroups through the API.

The example json in the documentation for the API shows both hostgroup[ancestry] and hostgroup[parameters] being accepted on a

post, but in the parameters below the example, neither of these are listed and indeed this is reflected in code at

app/controllers/api/v1/hostgroups_controller.rb. PUT /api/hostgroups does not accept either of these fields either.

This greatly limits the usability of either of these routes unless you want to create un-nested host groups.

Associated revisions

Revision 5f7b64bd - 07/01/2013 03:23 AM - Joseph Magen

fixes #2728 - POST /api/hostgroups does not accept ancestry

Revision 663a5752 - 07/01/2013 04:01 AM - Joseph Magen

fixes #2728 - POST /api/hostgroups does not accept ancestry

(cherry picked from commit 5f7b64bd2d70057b752c9a6e171e4d5a11a1348f)

History

#1 - 06/30/2013 09:37 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#2 - 06/30/2013 09:48 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

The parameter :parent_id can be passed for PUT or POST.

It was missing from the API documentation and the following pull request fixes this

https://github.com/theforeman/foreman/pull/755

#3 - 07/01/2013 03:23 AM - Ohad Levy

- Target version set to 1.2.0

#4 - 07/01/2013 04:17 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5f7b64bd2d70057b752c9a6e171e4d5a11a1348f.
